Subject: [Sip] About the response digest

From: Paula Oliveira <[email-masked]>
Date: Fri, 22 Jul 2005 10:06:01 -0300 (ART)

Hi, 

I am developing a server sip, and now I am studying this protocol. I have a doubt about the parameter response in the field proxy authorization. What are the fields and the order that it are in the response ? I read some RFCs but I believe that my case is so specific, because I test every order that I see and I don´t find de correct result of a MD5. I don´t know if I want concat other fields, basically is this:
A1:username:realm:password
A2:method:Digest-URI
response = MD5(MD5(A1):nonce:MD5(A2))
But I don´t find the correct Result. Have other field in this case ? The parameter Branch is necessary ?
 
Thanks,
Paula. 

__________________________________________________
Converse com seus amigos em tempo real com o Yahoo! Messenger 
http://br.download.yahoo.com/messenger/ 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip